clang 8.0.0

Namespaces | Macros | Functions
InterpolatingCompilationDatabase.cpp File Reference
`#include "clang/Driver/Options.h"`
`#include "clang/Driver/Types.h"`
`#include "clang/Frontend/LangStandard.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Option/OptTable.h"`
`#include "llvm/Support/Debug.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/StringSaver.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <memory>`
`#include "clang/Frontend/LangStandards.def"`
Include dependency graph for InterpolatingCompilationDatabase.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Macros
#define | LANGSTANDARD(id, name, lang, ...) .Case(name, LangStandard::lang_##id)
#define | LANGSTANDARD_ALIAS(id, alias) .Case(alias, LangStandard::lang_##id)

## Functions
std::unique_ptr< CompilationDatabase > | clang::tooling::inferMissingCompileCommands (std::unique_ptr< CompilationDatabase >)
| Returns a wrapped CompilationDatabase that defers to the provided one, but getCompileCommands() will infer commands for unknown files. More...

## Macro Definition Documentation

## ◆ LANGSTANDARD

#define LANGSTANDARD | ( |  | id,
|  |  | name,
|  |  | lang,
|  |  | ...
| ) |  | .Case(name, LangStandard::lang_##id)

## ◆ LANGSTANDARD_ALIAS

#define LANGSTANDARD_ALIAS | ( |  | id,
|  |  | alias
| ) |  | .Case(alias, LangStandard::lang_##id)

## Variable Documentation

## ◆ ClangCLMode

bool ClangCLMode

Definition at line 132 of file InterpolatingCompilationDatabase.cpp.

## ◆ Cmd

CompileCommand Cmd

Definition at line 126 of file InterpolatingCompilationDatabase.cpp.

Referenced by clang::driver::tools::darwin::Linker::ConstructJob(), clang::createInvocationFromCommandLine(), findCapturingExpr(), clang::driver::Driver::generateCompilationDiagnostics(), getCC1Arguments(), nodeToCommandLine(), and stripPositionalArgs().

## ◆ Std

LangStandard::Kind Std = LangStandard::lang_unspecified

Definition at line 130 of file InterpolatingCompilationDatabase.cpp.

Referenced by clang::driver::tools::Clang::ConstructJob(), DiagnoseTwoPhaseLookup(), emitReplacement(), clang::Sema::lookupStdExperimentalNamespace(), LookupStdInitializerList(), lookupStdTypeTraitMember(), ParseLangArgs(), and clang::CompilerInvocation::setLangDefaults().

## ◆ Type

Optional<types::ID> Type

Definition at line 128 of file InterpolatingCompilationDatabase.cpp.

Referenced by clang::InitializedEntity::getType(), clang::TemplateArgumentLoc::getTypeSourceInfo(), clang::DependentSizedArrayType::Profile(), clang::DependentSizedExtVectorType::Profile(), clang::DependentVectorType::Profile(), clang::CodeGen::EHCatchScope::setHandler(), clang::TemplateArgument::TemplateArgument(), and clang::TemplateArgumentLoc::TemplateArgumentLoc().